%global srcname stringstream

Name:           nodejs-%{srcname}
Version:        0.0.4
Release:        2%{?dist}
Summary:        Encode and decode streams into string streams
License:        MIT
URL:            https://github.com/mhart/StringStream
Source0:        https://registry.npmjs.org/%{srcname}/-/%{srcname}-%{version}.tgz
# Requested license text https://github.com/mhart/StringStream/pull/3
Source1:        LICENSE.txt

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%description
%{summary}.

%prep
%setup -q -n package
cp %{SOURCE1} .
rm -rf node_modules

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json stringstream.js \
     %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps

%files
%doc README.md example.js
%license LICENSE.txt
%{nodejs_sitelib}/%{srcname}

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Oct 25 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.0.4-1
- Initial package
